namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "toxic_thread")]
public class ToxicThread : Script, IScriptOnSecondaryEffect
{
    /// <inheritdoc />
    public void OnSecondaryEffect(IExecutingMove move, IPokemon target, byte hit)
    {
        target.SetStatus(ScriptUtils.ResolveName<Status.Poisoned>(), move.User);
        target.ChangeStatBoost(Statistic.Speed, -1, false, false);
    }
}